Yaptırım sorgusu tetikleme
curl --request POST \
--url https://api.sarraf.pro/v1/compliance/sanction-checks \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"idNo": "<string>",
"fullName": "<string>",
"surname": "<string>",
"options": {
"wantedQuery": true,
"pepQuery": true
}
}
}
'import requests
url = "https://api.sarraf.pro/v1/compliance/sanction-checks"
payload = { "data": {
"idNo": "<string>",
"fullName": "<string>",
"surname": "<string>",
"options": {
"wantedQuery": True,
"pepQuery": True
}
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
idNo: '<string>',
fullName: '<string>',
surname: '<string>',
options: {wantedQuery: true, pepQuery: true}
}
})
};
fetch('https://api.sarraf.pro/v1/compliance/sanction-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"query": {
"idNo": "<string>",
"fullName": "<string>",
"surname": "<string>",
"options": {
"wantedQuery": true,
"pepQuery": true
}
},
"summary": {
"masakCount": 123,
"wantedCount": 123,
"pepCount": 123,
"hasCustomer": true,
"customerEventCount": 123
},
"matches": {
"masak": [
{}
],
"wanted": [
{}
],
"pep": [
{}
]
},
"checkedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"field": "<string>",
"rule": "<string>"
}
]
},
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"field": "<string>",
"rule": "<string>"
}
]
},
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"field": "<string>",
"rule": "<string>"
}
]
},
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Uyum (Compliance)
Yaptırım sorgusu tetikleme
idNo ile MASAK yaptırım listesi sorgusu çalıştırır; nameSurname verilirse ek olarak wanted listesi (TR collation, ad bazlı) sorgulanır. Sonuç log kaydı olarak yazılır (GET /v1/compliance/sanction-checks ile geçmişte görünür) ve eşleşme içerikleriyle birlikte 201 döner.
POST
/
v1
/
compliance
/
sanction-checks
Yaptırım sorgusu tetikleme
Authorizations
Kullanıcı adı apiUserId, parola secretKey. Authorization: Basic base64(apiUserId:secretKey)
Body
application/json
Yazma uçlarında gövde zarfı: data zorunludur. idNo, fullName veya surname alanlarından en az biri zorunludur.
Show child attributes
Show child attributes
⌘I